<!doctype html>
<html>
<head>
<script>
function agregamotivo(){
	ultimo=document.getElementById("ultimo").value;
	for(x=1;x<=ultimo;x++)
		{
		if(!document.getElementById("a"+x).checked)
			{ depa=document.getElementById("depa"+x).value;
			person=prompt("¿Porque la informacion del departamento"+depa+" no  es correcta?"); 
			document.getElementById("m"+x).value=person;
			}
		}
}


</script>
<?
require("../conectar.php");
require("funciones.php");
$fecha=$_POST["fecha"];
$ids=array();
$hora=date("g:i");
$eq="select id_departamento, fecha, valor from auditoria where fecha='$fecha'";
$s=mysql_query($eq);
$row=mysql_num_rows($s);
if(isset($_POST["guardar"]))
{
$ult=$_POST["ultimo"];

if($row==0){
for($r=1;$r<=$ult;$r++)
{ 
$aid="a".$r;
$hid="h".$r;
$valor=$_POST["$aid"];
$id=$_POST["$hid"];
$motivo=$_POST["m$r"];
$tipo=$_POST["tipo$r"];
$prop=$_POST["prop$r"];
//if($valor==1)$motivo="ok";
$sql="INSERT INTO auditoria(id_departamento, fecha,valor,motivo,tipo,propiedad) values ('$id', '$fecha','$valor', '$motivo','$tipo','$prop')";
mysql_query($sql); 
}
}
else{
for($r=1;$r<=$ult;$r++)
{ 
$id=$_POST["h$r"];
$valor=$_POST["a$r"];
$motivo=$_POST["m$r"];
$tipo=$_POST["tipo$r"];
$prop=$_POST["prop$r"];
//if($valor==1)$motivo="ok";
mysql_query("UPDATE auditoria  set valor='$valor', motivo='$motivo',tipo='$tipo',propiedad='$prop' where id_departamento='$id' and fecha='$fecha'"); 
}
}		 
require('mailreporteauditoria.php');
?>
<script>
location.href="auditoria.php?fecha=<?echo$fecha;?>";
</script>
<?
}
$s=mysql_query($eq);
while($w=mysql_fetch_array($s)){
$ids["$w[id_departamento]"]=$w['valor'];
}
  ?>
<meta charset="utf-8">
<title>Documento sin título</title>
<style type="text/css">
input {
	border-collapse: collapse;
	border-style: none;
	
}
.inp{width:35px;text-align:right;font-size:10px;}
.inpd{width:50px;text-align:right;font-size:10px;}

body table {
	border-collapse: collapse;
}
body table td {
	border: 1px solid #000000;
}
</style>
</head>

<body>
<form method="post" action="reporteauditoria.php" >
<table width="774" border="1" align="center">
  <tr>
    <th colspan="6" align="center">Reporte de ocupacion</th>
  </tr>
  <tr>
    <td width="235">&nbsp;</td>
    <th colspan="5" align="right">Fecha y Hora:
      <input name="textfield" type="text" size="35" id="textfield" value="<? echo fechatexto($fecha); echo" a las".$hora;?>" readonly></th>
  </tr>
  <tr>
    <th align="center">Propiedad</th>
    <th colspan="2" align="center">Ocupados</th>
    <th colspan="2" align="center">Vacios</th>
    <td width="85">&nbsp;</td>
  </tr>
  <tr>
    <td align="left">&nbsp;</td>
    <th width="92" align="left">Ocupados</th>
    <th width="106" align="left">Check out</th>
    <th width="105" align="left">Check in</th>
    <th width="111" align="left">libres</th>
    <th width="40"  align="center">Total</th>
  </tr>
  
 <?
 $sql="SELECT  com.nombre, com.id_complejo from complejo as com";
 $sqs=mysql_query($sql);
 while($com=mysql_fetch_array($sqs))
 { ?>
  <tr>
  <?
 if($com["id_complejo"]==1){$clav="TS";}
  if($com["id_complejo"]==2){$clav="M";}
   if($com["id_complejo"]==3){$clav="T";}
    if($com["id_complejo"]==4){$clav="CC";}
	 if($com["id_complejo"]==5){$clav="TP";}
	  if($com["id_complejo"]==6){$clav="VIT";}
	   if($com["id_complejo"]==14){$clav="INT";}
	    if($com["id_complejo"]==21){$clav="CAMP";}
		 if($com["id_complejo"]==22){$clav="SA";}
		   if($com["id_complejo"]==23){$clav="TLAL";}
		
  $sql="SELECT c.id_concepto, c.dia_inicio, c.dia_salida, d.no_depto, concat(d.clave,' ',com.nombre) as depa, c.id_departamento, c.status_renta from conceptos as c 
  INNER JOIN departamentos as d ON d.id_departamento=c.id_departamento 
  INNER JOIN complejo as com ON com.id_complejo=c.id_complejo  
  WHERE (c.status_renta<>' ' and c.status_renta<>'LIBRE')and c.id_complejo='$com[id_complejo]' and (('$fecha' between c.dia_inicio and c.dia_salida) or $fecha='c.dia_inicio' or $fecha='c.dia_salida') and c.salida_prematura=c.dia_salida group by d.id_departamento order by no_depto asc  ";	
	$sq=mysql_query($sql);
	while($dep=mysql_fetch_array($sq))
	{ $x++;$y++;
	if($ids["$dep[id_departamento]"]=="1"){$checked="checked";}else{$checked=" ";}
	$distinto.="and no_depto<>'".$dep["no_depto"]."' ";
	if($dep["dia_inicio"]==$fecha){
	$checkin.=$clav.$dep["no_depto"]."
	<input  type='checkbox' value='1' name='a$x' id='a$x' $checked>
	<input  type='hidden' value='$dep[id_departamento]' name='h$x' >
	<input  type='hidden' value='ok' name='m$x' id='m$x' >
	<input  type='hidden' value='$dep[depa]' name='depa$x' id='depa$x' >
	<br>";}
	if($dep["dia_salida"]==$fecha){
	$checkout.=$clav.$dep["no_depto"]."
	<input  type='checkbox' value='1' name='a$x' id='a$x' $checked>
	<input  type='hidden' value='$dep[id_departamento]' name='h$x'><br>
	<input  type='hidden' value='ok' name='m$x' id='m$x' >
	<input  type='hidden' value='$dep[depa]' name='depa$x' id='depa$x' >";}
	if($dep["dia_inicio"]<$fecha&&$dep["dia_salida"]>$fecha){$ocupado.=$clav.$dep["no_depto"]."
	<input  type='checkbox' value='1' name='a$x' id='a$x' $checked>
	<input  type='hidden' value='$dep[id_departamento]' name='h$x'><br>
	<input  type='hidden' value='ok' name='m$x' id='m$x' >
	<input  type='hidden' value='$dep[depa]' name='depa$x' id='depa$x' >";}
	}
	
	$sql="SELECT d.no_depto, d.id_departamento, concat(d.clave,' ',com.nombre) as depa from departamentos as d INNER JOIN complejo as com ON d.id_complejo=com.id_complejo where d.id_complejo='$com[id_complejo]' $distinto  and d.no_depto>0 order by d.no_depto asc";
	$sq=mysql_query($sql);
	while($lib=mysql_fetch_array($sq))
	{$x++;$y++;
	if($ids["$lib[id_departamento]"]=="1"){$checked="checked";}else{$checked=" ";}
	$libre.=$clav.$lib["no_depto"]."
	<input type='checkbox' value='1' name='a$x' id='a$x' $checked>
	<input type='hidden' value='$lib[id_departamento]' name='h$x'><br>
	<input  type='hidden' value='ok' name='m$x' id='m$x' >
	<input  type='hidden' value='$lib[depa]' name='depa$x' id='depa$x' >";
	}
	?>
    <td align="center" valign="top"><?echo$com["nombre"];?></td>
    <td align="" valign="top"><?echo$ocupado;?></td>
    <td align="" valign="top"><?echo$checkout;?></td>
    <td align="" valign="top"><?echo$checkin;?></td>
    <td align="" valign="top"><?echo$libre;?></td>
    <td align="" valign="top"><?echo$y." Suites";?></td>
  </tr>
  <?
  $distinto="";
  $ocupado="";
  $checkout="";
  $checkin="";
  $libre="";
  $y=0;
  
  }?>
  
</table>
<input type="hidden" name="ultimo" id="ultimo"value="<?echo$x;?>">
<input type="hidden" name="fecha" value="<?echo$fecha;?>">

<p align="center"><input type="submit" value="Guardar" name="guardar" onclick="agregamotivo();"></p>
<form>
</body>
</html>